steps:

  build:
    image: node:current-alpine
    commands:
      - npm install
      - npm run build

  deploy:
    image: drillster/drone-rsync
    settings:
      hosts: [ "reinforce.spittank.eu" ]
      port: 6666
      delete: true
      recursive: true
      user:
        from_secret: deploy_ssh_user
      key:
        from_secret: deploy_ssh_key
      source: dist/
      target: htdocs